//
//  DXRssItem.h
//  DXSearchers
//
//  Created by Oliver Kahrmann on 01.04.11.
//  Copyright 2011 DHELIXSoft. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "DXRssEnclosure.h"
#import "DXRssGuid.h"


@interface DXRssItem : NSObject {
	NSString *_title;
	NSString *_link;
	NSString *_description;
	NSString *_author;
	NSMutableArray *_category;
	NSString *_comments;
	DXRssEnclosure *_enclosure;
	DXRssGuid *_guid;
	NSDate *_pubDate;
}
- (NSString *)title;
- (void)setTitle:(NSString *)value;

- (NSString *)link;
- (void)setLink:(NSString *)value;

- (NSString *)description;
- (void)setDescription:(NSString *)value;

- (NSString *)author;
- (void)setAuthor:(NSString *)value;

- (NSArray *)category;
- (void)setCategory:(NSArray *)value;
- (unsigned)countOfCategory;
- (id)objectInCategoryAtIndex:(unsigned)theIndex;
- (void)getCategory:(id *)objsPtr range:(NSRange)range;
- (void)insertObject:(id)obj inCategoryAtIndex:(unsigned)theIndex;
- (void)removeObjectFromCategoryAtIndex:(unsigned)theIndex;
- (void)replaceObjectInCategoryAtIndex:(unsigned)theIndex withObject:(id)obj;

- (NSString *)comments;
- (void)setComments:(NSString *)value;

- (DXRssEnclosure *)enclosure;
- (void)setEnclosure:(DXRssEnclosure *)value;

- (DXRssGuid *)guid;
- (void)setGuid:(DXRssGuid *)value;

- (NSDate *)pubDate;
- (void)setPubDate:(NSDate *)value;

@end
